shishi_aes_cts(3)

NAME
shishi_aes_cts - API function

SYNOPSIS
#include <shishi.h>

int shishi_aes_cts(Shishi * handle, int decryptp, const char * key, size_t keylen, const char iv[16], char * ivout[16], const char * in, size_t inlen, char ** out);

ARGUMENTS

Shishi * handle
    shishi handle as allocated by shishi_init().

int decryptp
    0 to indicate encryption, non-0 to indicate decryption.

const char * key
    input character array with key to use.

size_t keylen
    length of input character array with key to use.

const char iv[16]
    input character array with initialization vector to use, or NULL.

char * ivout[16]
    output character array with updated initialization vector, or NULL.

const char * in
    input character array of data to encrypt/decrypt.

size_t inlen
    length of input character array of data to encrypt/decrypt.

char ** out
    newly allocated character array with encrypted/decrypted data.

DESCRIPTION
Encrypt or decrypt data (depending on decryptp) using AES in CBC-CTS mode. The length of the key, keylen, decide if AES 128 or AES 256 should be used. The out buffer must be deallocated by the caller.

RETURN VALUE
Returns SHISHI_OK iff successful.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.